

Name:          plasma-integration
Summary:       Qt Platform Theme integration plugins for the Plasma workspaces
Group:         Graphical desktop/KDE5
Version:       5.12.4
Release:       %mkrel 1
License:       LGPLv2+
URL:           http://quickgit.kde.org/%{name}
Source0:       %{name}-%{version}.tar.xz
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kactivities5-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kio-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kfilemetadata5-devel

BuildRequires:  taglib-devel
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

Requires:      breeze
Requires:      xsettings-kde
Requires:      qttools5
Requires:      polkit-kde-agent-1 >= 5.6.0
Requires:      kscreen >= 5.6.0
Requires:      libkscreen >= 5.6.0
Requires:      %{_lib}kf5kscreen5 >= 5.6.0
Requires:      qttools5-qtdbus
Requires:      qtquickcontrols25
Requires:      qtquickcontrols5
Requires:      qtdeclarative5
Requires:      %{_lib}qt5-database-plugin-mysql
Requires:      %{_lib}qt5-database-plugin-sqlite
Requires:      solid
Requires:      qtgraphicaleffects5


%description 
Qt Platform Theme integration plugins for the Plasma workspaces

%files -f %name.lang
%_qt5_plugindir/platformthemes/KDEPlasmaPlatformTheme.so
%{_datadir}/kconf_update/
#-----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}


%build
%cmake_kf5 -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%make_install -C build
%find_lang --all %name


%changelog
* Tue Mar 27 2018 bb2 <bb2> - 5.12.4-1pclos2018
- new version

* Tue Mar 06 2018 bb2 <bb2> - 5.12.3-1pclos2018
- new version

* Wed Feb 21 2018 bb2 <bb2> - 5.12.2-1pclos2018
- new version

* Wed Feb 14 2018 bb2 <bb2> - 5.12.1-1pclos2018
- new version

* Wed Feb 07 2018 bb2 <bb2> - 5.12.0-1pclos2018
- new version

* Tue Jan 02 2018 tex - 5.11.5-1pclos2018
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.11.4-2pclos2017
- rebuild against updates

* Wed Nov 29 2017 bb2 <bb2> - 5.11.4-1pclos2017
- new version

* Tue Nov 07 2017 bb2 <bb2> - 5.11.3-1pclos2017
- new version

* Tue Oct 24 2017 bb2 <bb2> - 5.11.2-1pclos2017
- new version

* Wed Oct 18 2017 bb2 <bb2> - 5.11.1-1pclos2017
- new version

* Tue Oct 10 2017 bb2 <bb2> - 5.11.0-1pclos2017
- new version

* Sun Oct 08 2017 bb2 <bb2> - 5.10.95-1pclos2017
- new version

* Thu Aug 24 2017 bb2 <bb2> - 5.10.5-1pclos2017
- new version

* Wed Jul 19 2017 bb2 <bb2> - 5.10.4-1pclos2017
- new version

* Tue Jun 27 2017 bb2 <bb2> - 5.10.3-1pclos2017
- new version

* Wed Jun 14 2017 bb2 <bb2> - 5.10.2-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.10.1-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed May 24 2017 bb2 <bb2> - 5.8.7-1pclos2017
- new version

* Tue Feb 21 2017 tex - 5.8.6-1pclos2017
- new version

* Mon Feb 13 2017 bb <bb. - 5.8.5-2pclos2017
- rebuild for missing locales on iso

* Wed Dec 28 2016 bb <bb> - 5.8.5-1pclos2017
- new version

